package cn.iocoder.yudao.module.system.dal.mysql.biz;



import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;

import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.sys.vo.SysEvaluationTemplatePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.SysEvaluationTemplatesDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface SysEvaluationTemplatesMapper extends BaseMapperX<SysEvaluationTemplatesDO> {


    default PageResult<SysEvaluationTemplatesDO> selectPage(SysEvaluationTemplatePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SysEvaluationTemplatesDO>()
                .likeIfPresent(SysEvaluationTemplatesDO::getTemplateName, reqVO.getTemplateName())
                .betweenIfPresent(SysEvaluationTemplatesDO::getCreatedDate, reqVO.getCreateTime())
                .inIfPresent(SysEvaluationTemplatesDO::getTenantId,reqVO.getTenantIds())
                .eqIfPresent(SysEvaluationTemplatesDO::getOrgType,reqVO.getOrgType())
                .orderByDesc(SysEvaluationTemplatesDO::getCreatedDate));
    }
}
